#
# spec file for package freedoom
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           freedoom
Version:        0.13.0
Release:        0
Summary:        Replacement game files for Doom game engines
License:        BSD-3-Clause
Group:          Amusements/Games/3D/Shoot
URL:            https://freedoom.github.io/

#Git-Web:       http://github.com/freedoom/freedoom
#Git-Clone:     git://github.com/freedoom/freedoom
Source:         https://github.com/freedoom/freedoom/releases/download/v%version/freedoom-v%version.zip
BuildArch:      noarch
BuildRequires:  unzip

%description
Though the Doom engine source code is libre, the original game data
(graphics, maps, etc.) is not. Freedoom is an alternate game data set
that can be used with a Doom engine, such as prboom-plus,
chocolate-doom or gzdoom, to form a free Doom-based game.

%prep
%autosetup -n %name-v%version

%build
# Game data files. Nothing to build!

%install
install -Dpm0644 freedoom1.wad %buildroot/%_datadir/doom/freedoom1.wad
install -Dpm0644 freedoom2.wad %buildroot/%_datadir/doom/freedoom2.wad

%post
echo "NOTE: FreeDoom WAD files are no longer named doom.wad/doom2.wad, and you may need to explicitly specify them now when starting a Doom engine."

%files
%doc CREDITS.txt freedoom-manual*.pdf README.html
%license COPYING.txt
%_datadir/doom/

%changelog
